View Issue Details

IDProjectCategoryView StatusLast Update
0003298gnunet-gtkgnunet-conversation-gtkpublic2018-06-07 00:25
ReporterharkAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003298: gnunet-conversation-gtk crashes when there are TXT CNAME and A records in zone
Description(gdb) backtrace full
#0 __strlen_sse2 () at ../sysdeps/x86_64/multiarch/../strlen.S:32
No locals.
#1 0x00007ffff4591980 in g_strdup () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#2 0x00007ffff485c14d in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
No symbol table info available.
#3 0x00007ffff5f630cd in gtk_list_store_set_valist_internal (list_store=list_store@entry=0x74a400,
    iter=iter@entry=0x7fffffffe0e0, emit_signal=emit_signal@entry=0x7fffffffdfc8,
    maybe_need_sort=maybe_need_sort@entry=0x7fffffffdfcc, var_args=var_args@entry=0x7fffffffdff8)
    at /tmp/buildd/gtk+3.0-3.4.2/./gtk/gtkliststore.c:1046
        _val = 0x7fffffffdf20
        _flags = 0
        _collect_format = <optimized out>
        _cvalues = {{v_int = 1, v_long = 1, v_int64 = 1, v_double = 4.9406564584124654e-324,
            v_pointer = 0x1}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {
            v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0,
            v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0,
            v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {
            v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0,
            v_int64 = 0, v_double = 0, v_pointer = 0x0}}
        _vtab = <optimized out>
        _n_values = <optimized out>
        value = {g_type = 64, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0,
              v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0,
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = 0x0
        priv = 0x74a420
        column = 1
        func = 0
        __PRETTY_FUNCTION__ = "gtk_list_store_set_valist_internal"
#4 0x00007ffff5f63f37 in gtk_list_store_set_valist (list_store=0x74a400, iter=0x7fffffffe0e0,
    var_args=var_args@entry=0x7fffffffdff8) at /tmp/buildd/gtk+3.0-3.4.2/./gtk/gtkliststore.c:1151
        priv = <optimized out>
        emit_signal = 0
        maybe_need_sort = 1
        __PRETTY_FUNCTION__ = "gtk_list_store_set_valist"
#5 0x00007ffff5f64037 in gtk_list_store_set (list_store=<optimized out>, iter=<optimized out>)
    at /tmp/buildd/gtk+3.0-3.4.2/./gtk/gtkliststore.c:1193
---Type <return> to continue, or q <return> to quit---
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fffffffe0d0,
            reg_save_area = 0x7fffffffe010}}
#6 0x0000000000403f1f in ?? ()
No symbol table info available.
#7 0x00000000ffffffff in ?? ()
No symbol table info available.
#8 0x00007ffff6ab4342 in GNUNET_GNSRECORD_records_deserialize (len=140737488347440,
    src=0x7fff23264b71 <Address 0x7fff23264b71 out of bounds>, rd_count=<optimized out>,
    dest=<optimized out>) at gnsrecord_serialization.c:171
        rec = {expiration_time = <optimized out>, data_size = <optimized out>, record_type = 4294959632,
          flags = 1}
        i = <optimized out>
        off = <optimized out>
#9 0x00007ffff6cb8db9 in handle_zone_iteration_response (msg=0x1, ze=<optimized out>, size=<optimized out>)
    at namestore_api.c:627
        rd = 0x7fffffffe130
        rd_count = <optimized out>
        priv_dummy = {d = '\000' <repeats 31 times>}
        msg_len = <optimized out>
        rd_len = <optimized out>
        rd_ser_tmp = <optimized out>
        exp_msg_len = <optimized out>
        name_len = <optimized out>
        name_tmp = 0x864790 "\240yf"
#10 manage_zone_operations (size=<optimized out>, type=<optimized out>, msg=0x1, ze=0x864860)
    at namestore_api.c:660
No locals.
#11 process_namestore_message (cls=0x7fffffffe1e0, msg=0x1) at namestore_api.c:741
        h = 0x7fffffffe1e0
        gm = 0x1
        qe = <optimized out>
        ze = 0x864860
        size = <optimized out>
        type = <optimized out>
        r_id = <optimized out>
        __FUNCTION__ = "process_namestore_message"
#12 0x0000000000000000 in ?? ()
No symbol table info available.
Steps To Reproducestart gnunet-conversation-gtk
TagsNo tags attached.

Activities

Christian Grothoff

2014-06-02 22:18

manager   ~0008383

Fixed, records irrelevant to conversation should now simply be ignored.

Issue History

Date Modified Username Field Change
2014-01-30 23:25 hark New Issue
2014-01-30 23:25 hark Status new => assigned
2014-01-30 23:25 hark Assigned To => yids
2014-04-11 15:23 Christian Grothoff Product Version => SVN HEAD
2014-04-11 15:23 Christian Grothoff Target Version => 0.11.0
2014-06-02 22:18 Christian Grothoff Note Added: 0008383
2014-06-02 22:18 Christian Grothoff Status assigned => resolved
2014-06-02 22:18 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-02 22:18 Christian Grothoff Resolution open => fixed
2014-06-02 22:18 Christian Grothoff Assigned To yids => Christian Grothoff
2014-06-02 22:18 Christian Grothoff Target Version 0.11.0 => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed